## com.baidubce
Enum Protocol

    java.lang.Object
      java.lang.Enum<Protocol>
          com.baidubce.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Protocol>

    public enum Protocol

extends Enum<Protocol>

Represents the communication protocol to use when sending requests to BCE.

Communication over HTTPS is the default, and is more secure than HTTP, which is why BCE recommends using HTTPS. HTTPS connections can use more system resources because of the extra work to encrypt network traffic, so the option to use HTTP is available in case users need it.

Enum Constant Summary
`HTTP` HTTP Protocol - Using the HTTP protocol is less secure than HTTPS, but can slightly reduce the system resources used when communicating with BCE.
`HTTPS` HTTPS Protocol - Using the HTTPS protocol is more secure than using the HTTP protocol, but may use slightly more system resources.

Method Summary
`int` `getDefaultPort()`
`String` `toString()`
`static Protocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HTTP

    public static final Protocol HTTP

  HTTP Protocol - Using the HTTP protocol is less secure than HTTPS, but can slightly reduce the system resources used when communicating with BCE.

### HTTPS

    public static final Protocol HTTPS

  HTTPS Protocol - Using the HTTPS protocol is more secure than using the HTTP protocol, but may use slightly more system resources. BCE recommends using HTTPS for maximize security.

Method Detail

### values

    public static Protocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Protocol c : Protocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Protocol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDefaultPort

    public int getDefaultPort()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Protocol>`

Copyright © 2016. All rights reserved.